#ifndef CALL_THREAD_H
#define CALL_THREAD_H

#include <QThread>
#include <QStringList>
#include <QDebug>

#include <QtDBus/QDBusMessage>
#include <QtDBus/QDBusConnection>

#define DOMAIN QString("pro.russianfedora.virtsandboxrunner")

class CallThread : public QThread
{
    Q_OBJECT
public:
    explicit CallThread(QObject *parent = 0);
    ~CallThread();
    QStringList args;
    QStringList result;

private:
    int checkTimeout;
    bool key;
    
signals:
    void resultData(QStringList);
    
public slots:
    void run();
    void setArgs(QStringList&, int);
    void stop();

private slots:
    void messageReceiver(QStringList&);
};

#endif // CALL_THREAD_H
