#ifndef SECURITY_SETTINGS_H
#define SECURITY_SETTINGS_H

#include <QWidget>
#include <QLabel>
#include <QCheckBox>
#include <QComboBox>
#include <QLineEdit>
#include <QVBoxLayout>

class SecuritySet : public QWidget
{
    Q_OBJECT
public:
    explicit SecuritySet(QWidget *parent = 0);
    ~SecuritySet();
    QCheckBox *altSecurity;

private:
    QComboBox *type;
    QLineEdit *label;
    QLabel *comment;
    QLabel *titleLabel;
    QVBoxLayout *commonLayout;

signals:

public slots:
    void setCurrentLabel(QString);
    QString getCurrentLabel() const;
    void setCurrentType(QString);
    QString getCurrentType() const;

private slots:
    void changeComment(QString);
    void changeSecurityState(bool);
    void changeSELabel(const QString&);
};

#endif // SECURITY_SETTINGS_H
