#ifndef TERMINAL_SET_H
#define TERMINAL_SET_H

#include <QWidget>
#include <QCheckBox>
#include <QLineEdit>
#include <QRadioButton>
#include <QVBoxLayout>

class TerminalSet : public QWidget
{
    Q_OBJECT
public:
    explicit TerminalSet(QWidget *parent = 0);
    ~TerminalSet();
    QCheckBox *runInTerm;
    
signals:

private:
    QRadioButton *defaultTerminal;
    QRadioButton *customTerminal;
    QLineEdit    *termCommand;
    QVBoxLayout  *termChoiseLayout;
    
private slots:
    void enableWidgets(bool);

public slots:
    void setCustomTerminalChecked(bool);
    bool getCustomTerminalChecked() const;
    void setCustomTerminal(QString);
    QString getCustomTerminal() const;
};

#endif // TERMINAL_SET_H
